Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/meld: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Wed, 19 Nov 2014 15:14:33 +0000

---
 testing/meld/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/meld/APKBUILD
diff --git a/testing/meld/APKBUILD b/testing/meld/APKBUILD
new file mode 100644
index 0000000..69d4114
--- /dev/null
+++ b/testing/meld/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=meld
+pkgver=1.8.5
+pkgrel=0
+pkgdesc="A Visual diff and merge tool"
+url="http://meldmerge.org"
+arch="noarch"
+license="GPL2"
+depends="py-gtk"
+depends_dev=""
+makedepends="intltool itstool gnome-doc-utils"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-${pkgver}.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make prefix=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make prefix=/usr DESTDIR="${pkgdir}" install \
+	update_desktop_database= update_mime_database= || return 1
+}
+
+doc() {
+	mkdir -p "$subpkgdir"/usr/share/gnome || return 1
+	mkdir -p "$subpkgdir"/usr/share/omf || return 1
+
+	mv "$pkgdir"/usr/share/gnome/* "$subpkgdir"/usr/share/gnome/ || return 1
+	mv "$pkgdir"/usr/share/omf/* "$subpkgdir"/usr/share/omf/ || return 1
+}
+
+md5sums="36e84ea3d9547d3be8ebefef83673d42  meld-1.8.5.tar.xz"
+sha256sums="e0f1d6007117a4be95d7c399359cb2ebfa80f2b9158222d727e9a35ae4d5d44d  meld-1.8.5.tar.xz"
+sha512sums="09b36923fedfb8f67dd120a71a1fb591efd812b8e1e451281ffee639ce02a7c8fd0d280254c5270ec547df38a30c53a309a7749fa2a63093bd3cf8f46195332b  meld-1.8.5.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 19 2014 - 15:14:33 GMT